interactions:
- request:
    body: '{"createTransactionModel": {"companyCode": "DEFAULT", "type": "SalesInvoice",
      "lines": [{"quantity": 3, "amount": "30.000", "taxCode": "O9999999", "taxIncluded":
      true, "itemCode": "SKU_A", "discounted": false, "description": "Test product"},
      {"quantity": 1, "amount": "10.000", "taxCode": "FR000000", "taxIncluded": true,
      "itemCode": "Shipping", "discounted": false, "description": null}], "code":
      "343a57ea-1373-46b3-8986-e9026de88917", "date": "2023-02-16", "customerCode":
      0, "discount": null, "addresses": {"shipFrom": {"line1": "Teczowa 7", "line2":
      "", "city": "Wroclaw", "region": "", "country": "PL", "postalCode": "53-601"},
      "shipTo": {"line1": "O\u0142awska 10", "line2": "", "city": "WROC\u0141AW",
      "region": "", "country": "PL", "postalCode": "53-105"}}, "commit": false, "currencyCode":
      "USD", "email": "test@example.com"}}'
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate, br
      Authorization:
      - Basic Og==
      Connection:
      - keep-alive
      Content-Length:
      - '836'
      User-Agent:
      - python-requests/2.28.2
    method: POST
    uri: https://sandbox-rest.avatax.com/api/v2/transactions/createoradjust
  response:
    body:
      string: '{"id":85019426797259,"code":"343a57ea-1373-46b3-8986-e9026de88917","companyId":7799660,"date":"2023-02-16","status":"Saved","type":"SalesInvoice","batchCode":"","currencyCode":"USD","exchangeRateCurrencyCode":"USD","customerUsageType":"","entityUseCode":"","customerVendorCode":"0","customerCode":"0","exemptNo":"","reconciled":false,"locationCode":"","reportingLocationCode":"","purchaseOrderNo":"","referenceCode":"","salespersonCode":"","taxOverrideType":"None","taxOverrideAmount":0.0,"taxOverrideReason":"","totalAmount":32.52,"totalExempt":0.0,"totalDiscount":0.0,"totalTax":7.48,"totalTaxable":32.52,"totalTaxCalculated":7.48,"adjustmentReason":"NotAdjusted","adjustmentDescription":"","locked":false,"region":"","country":"PL","version":1,"softwareVersion":"23.1.1.0","originAddressId":85019426797261,"destinationAddressId":85019426797260,"exchangeRateEffectiveDate":"2023-02-16","exchangeRate":1.0,"description":"","email":"test@example.com","businessIdentificationNo":"","modifiedDate":"2023-02-16T12:53:37.2240739Z","modifiedUserId":6479978,"taxDate":"2023-02-16","lines":[{"id":85019426797265,"transactionId":85019426797259,"lineNumber":"1","boundaryOverrideId":0,"customerUsageType":"","entityUseCode":"","description":"Test
        product","destinationAddressId":85019426797260,"originAddressId":85019426797261,"discountAmount":0.0,"discountTypeId":0,"exemptAmount":0.0,"exemptCertId":0,"exemptNo":"","isItemTaxable":true,"isSSTP":false,"itemCode":"SKU_A","lineAmount":24.3900,"quantity":3.0,"ref1":"","ref2":"","reportingDate":"2023-02-16","revAccount":"","sourcing":"Destination","tax":5.61,"taxableAmount":24.39,"taxCalculated":5.61,"taxCode":"O9999999","taxCodeId":9111,"taxDate":"2023-02-16","taxEngine":"","taxOverrideType":"None","businessIdentificationNo":"","taxOverrideAmount":0.0,"taxOverrideReason":"","taxIncluded":true,"details":[{"id":85019426797286,"transactionLineId":85019426797265,"transactionId":85019426797259,"addressId":85019426797260,"country":"PL","region":"PL","countyFIPS":"","stateFIPS":"","exemptAmount":0.0000,"exemptReasonId":4,"inState":true,"jurisCode":"PL","jurisName":"POLAND","jurisdictionId":200102,"signatureCode":"","stateAssignedNo":"","jurisType":"CNT","jurisdictionType":"Country","nonTaxableAmount":0.0000,"nonTaxableRuleId":0,"nonTaxableType":"RateRule","rate":0.230000,"rateRuleId":411502,"rateSourceId":0,"serCode":"","sourcing":"Destination","tax":5.6100,"taxableAmount":24.3900,"taxType":"Output","taxSubTypeId":"O","taxTypeGroupId":"InputAndOutput","taxName":"Standard
        Rate","taxAuthorityTypeId":45,"taxRegionId":205102,"taxCalculated":5.6100,"taxOverride":0.0000,"rateType":"Standard","rateTypeCode":"S","taxableUnits":24.3900,"nonTaxableUnits":0.0000,"exemptUnits":0.0000,"unitOfBasis":"PerCurrencyUnit","isNonPassThru":false,"isFee":false,"reportingTaxableUnits":24.39,"reportingNonTaxableUnits":0.0,"reportingExemptUnits":0.0,"reportingTax":5.61,"reportingTaxCalculated":5.61,"liabilityType":"Seller"}],"nonPassthroughDetails":[],"lineLocationTypes":[{"documentLineLocationTypeId":85019426797268,"documentLineId":85019426797265,"documentAddressId":85019426797261,"locationTypeCode":"ShipFrom"},{"documentLineLocationTypeId":85019426797269,"documentLineId":85019426797265,"documentAddressId":85019426797260,"locationTypeCode":"ShipTo"}],"parameters":[{"name":"Transport","value":"None"},{"name":"IsMarketplace","value":"False"},{"name":"IsTriangulation","value":"false"},{"name":"IsGoodsSecondHand","value":"false"}],"hsCode":"","costInsuranceFreight":0.0,"vatCode":"PLS-230C","vatNumberTypeId":0},{"id":85019426797266,"transactionId":85019426797259,"lineNumber":"2","boundaryOverrideId":0,"customerUsageType":"","entityUseCode":"","description":"","destinationAddressId":85019426797260,"originAddressId":85019426797261,"discountAmount":0.0,"discountTypeId":0,"exemptAmount":0.0,"exemptCertId":0,"exemptNo":"","isItemTaxable":true,"isSSTP":false,"itemCode":"Shipping","lineAmount":8.1300,"quantity":1.0,"ref1":"","ref2":"","reportingDate":"2023-02-16","revAccount":"","sourcing":"Destination","tax":1.87,"taxableAmount":8.13,"taxCalculated":1.87,"taxCode":"FR000000","taxCodeId":8550,"taxDate":"2023-02-16","taxEngine":"","taxOverrideType":"None","businessIdentificationNo":"","taxOverrideAmount":0.0,"taxOverrideReason":"","taxIncluded":true,"details":[{"id":85019426797306,"transactionLineId":85019426797266,"transactionId":85019426797259,"addressId":85019426797260,"country":"PL","region":"PL","countyFIPS":"","stateFIPS":"","exemptAmount":0.0000,"exemptReasonId":4,"inState":true,"jurisCode":"PL","jurisName":"POLAND","jurisdictionId":200102,"signatureCode":"","stateAssignedNo":"","jurisType":"CNT","jurisdictionType":"Country","nonTaxableAmount":0.0000,"nonTaxableRuleId":0,"nonTaxableType":"RateRule","rate":0.230000,"rateRuleId":411502,"rateSourceId":0,"serCode":"","sourcing":"Destination","tax":1.8700,"taxableAmount":8.1300,"taxType":"Output","taxSubTypeId":"O","taxTypeGroupId":"InputAndOutput","taxName":"Standard
        Rate","taxAuthorityTypeId":45,"taxRegionId":205102,"taxCalculated":1.8700,"taxOverride":0.0000,"rateType":"Standard","rateTypeCode":"S","taxableUnits":8.1300,"nonTaxableUnits":0.0000,"exemptUnits":0.0000,"unitOfBasis":"PerCurrencyUnit","isNonPassThru":false,"isFee":false,"reportingTaxableUnits":8.13,"reportingNonTaxableUnits":0.0,"reportingExemptUnits":0.0,"reportingTax":1.87,"reportingTaxCalculated":1.87,"liabilityType":"Seller"}],"nonPassthroughDetails":[],"lineLocationTypes":[{"documentLineLocationTypeId":85019426797288,"documentLineId":85019426797266,"documentAddressId":85019426797261,"locationTypeCode":"ShipFrom"},{"documentLineLocationTypeId":85019426797289,"documentLineId":85019426797266,"documentAddressId":85019426797260,"locationTypeCode":"ShipTo"}],"parameters":[{"name":"Transport","value":"None"},{"name":"IsMarketplace","value":"False"},{"name":"IsTriangulation","value":"false"},{"name":"IsGoodsSecondHand","value":"false"}],"hsCode":"","costInsuranceFreight":0.0,"vatCode":"PLS-230D","vatNumberTypeId":0}],"addresses":[{"id":85019426797260,"transactionId":85019426797259,"boundaryLevel":"Zip5","line1":"Olawska
        10","line2":"","line3":"","city":"WROCLAW","region":"","postalCode":"53-105","country":"PL","taxRegionId":205102},{"id":85019426797261,"transactionId":85019426797259,"boundaryLevel":"Zip5","line1":"Teczowa
        7","line2":"","line3":"","city":"Wroclaw","region":"","postalCode":"53-601","country":"PL","taxRegionId":205102}],"locationTypes":[{"documentLocationTypeId":85019426797263,"documentId":85019426797259,"documentAddressId":85019426797261,"locationTypeCode":"ShipFrom"},{"documentLocationTypeId":85019426797264,"documentId":85019426797259,"documentAddressId":85019426797260,"locationTypeCode":"ShipTo"}],"summary":[{"country":"PL","region":"PL","jurisType":"Country","jurisCode":"PL","jurisName":"POLAND","taxAuthorityType":45,"stateAssignedNo":"","taxType":"Output","taxSubType":"O","taxName":"Standard
        Rate","rateType":"Standard","taxable":32.52,"rate":0.230000,"tax":7.48,"taxCalculated":7.48,"nonTaxable":0.00,"exemption":0.00}]}'
    headers:
      Connection:
      - keep-alive
      Content-Type:
      - application/json; charset=utf-8
      Date:
      - Thu, 16 Feb 2023 12:53:37 GMT
      Location:
      - /api/v2/companies/7799660/transactions/85019426797259
      ServerDuration:
      - '00:00:00.0480759'
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - nosniff
      api-supported-versions:
      - '2.0'
      cache-control:
      - private, no-cache, no-store
      referrer-policy:
      - same-origin
      strict-transport-security:
      - max-age=31536000; includeSubdomains
      x-avalara-uid:
      - 4839693d-1721-4c45-9d9e-abed006f1d40
      x-correlation-id:
      - 4839693d-1721-4c45-9d9e-abed006f1d40
      x-frame-options:
      - sameorigin
      x-permitted-cross-domain-policies:
      - none
      x-xss-protection:
      - 1; mode=block
    status:
      code: 201
      message: Created
version: 1
